package com.aidex.common.utils;

import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.nio.charset.Charset;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;

/**
 * @author ：ChenSir
 * @date ：Created in 2024/3/27 14:56
 * @description：签名验证
 */
public class CryptoHelper {
	public static String byteToHexString(byte[] bytes) {
				StringBuilder hexString = new StringBuilder();
				for (byte b : bytes) {
						String hex = Integer.toHexString(0xFF & b);
						if (hex.length() == 1) {
								hexString.append('0');
							}
						hexString.append(hex);
					}
				return hexString.toString();
			}
	public static String hmacSha1(String key, String data, Charset bytesEncode)throws NoSuchAlgorithmException, InvalidKeyException {
				SecretKeySpec signingKey = new SecretKeySpec(key.getBytes(bytesEncode), "HmacSHA1");
				Mac mac = Mac.getInstance("HmacSHA1");
				mac.init(signingKey);
				//通用方法，自己实现即可（由 byte[]转 hex string）
						return byteToHexString(mac.doFinal(data.getBytes(bytesEncode)));
			}
}
