package com.aidex.system.service;

import com.aidex.common.core.service.BaseService;
import com.aidex.system.domain.SysMiniappDailyVisit;

import java.util.Date;
import java.util.Map;

/**
 * 小程序日数据统计Service接口
 * @author ChenSir
 * @email 914769835
 * @date 2024-03-18
 */
public interface SysMiniappDailyVisitService extends BaseService<SysMiniappDailyVisit> {

    /**
     * 批量删除小程序日数据统计
     * @param ids 需要删除的小程序日数据统计ID集合
     * @return 结果
     */
    public int deleteSysMiniappDailyVisitByIds(String[] ids);


    /**
     * @Description: 获取小程序本周、本月、本年的折线图数据
     * @date: 2024/3/18 15:44<br/>
     * @since JDK 1.8
     * @return
     */
    public Map<String, Object> getSysMiniappDailyVisit(String statisticsType, Date startDate, Date endDate);

}
